Auto(1.7)

NAME
Auto - the AfterStep window auto-raise module

SYNOPSIS
Auto [-v | --version] [-h | --help] delay

Although Auto can be run from the command line, it is normally spawned by afterstep in the autoexec file, in the following manner:

	Module	"I"	Auto 500

or from within an afterstep menu file by 'Auto':

% cat "~/GNUstep/Library/AfterStep/start/Modules/Auto"
	Module "Auto" Auto 500
	MiniPixmap "mini-as.xpm"
To stop the Auto module, a menu item can be used:

% cat "~/GNUstep/Library/AfterStep/start/Modules/Auto_Stop"
	KillModuleByName "Stop Auto" Auto
	MiniPixmap "mini-as.xpm"

DESCRIPTION
The Auto module raises a window after the specified delay period from either keyboard or mouse focus. It can be used as a replacement for AutoRaise, which is defined in the feel file.

OPTIONS

-h | --help
    Print a usage message and exit successfully.

-v | --version
    Print version information and exit successfully.

INITIALIZATION
Auto has no configuration file.

INVOCATION
Auto can be invoked from the autoexec file or from binding the action "Module Auto" to a key-stroke in a feel file, or from a menu item as shown in the Synopsis section above. AfterStep will search through the directories specified in the ModulePath configuration in the base.#bpp (where # is your colordepth) to attempt to locate Auto.

CONFIGURATION OPTIONS
Auto requires a numeric argument upon invocation which specifies how long a window must retain the keyboard input focus before it is raised. The delay is measured in milliseconds, and any integer 0 or greater is acceptable.

AUTHOR
Frank Fejes <frank@ssax.com>
Robert Nation
David Mihm <davemann@ionet.net> [Man page]

SEE ALSO
afterstep(1)